## org.codehaus.groovy.tools.shell.util
Class ANSI

Provides support for using ANSI color escape codes.

version:
  $Id: ANSI.java 7922 2007-09-04 01:42:57Z paulk $

author:
  Jason Dillon

Field Summary
`Boolean` | `enabled`

Constructor Summary
`ANSI()`

Method Summary
`static boolean` | `detect()` Tries to detect if the current system supports ANSI.
`static boolean` | `isDetected()`
`static boolean` | `isEnabled()`
`static void` | `setEnabled(boolean flag)`

Constructor Detail

### ANSI

    ANSI()

Method Detail

### detect

    static boolean detect()

  Tries to detect if the current system supports ANSI.

### isDetected

    public static boolean isDetected()

### isEnabled

    public static boolean isEnabled()

### setEnabled

    public static void setEnabled(boolean flag)